Page MenuHomePhabricator

nodemap: refresh the persistent data on nodemap creation
ClosedPublic

Authored by marmoute on Feb 27 2020, 4:09 AM.

Details

Summary

The logic to read the data and validate the docket are still in python, so we
need to "help" whatever compiled code live in the index to refresh it.

Otherwise clearing the cache could lead to an expensive full recomputation and
disk update even when the persisted data are still valid.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Feb 27 2020, 4:09 AM
marmoute updated this revision to Diff 20576.Mar 6 2020, 6:35 PM

eventless rebase past D8255

marmoute updated this revision to Diff 20677.Mar 10 2020, 9:34 PM

rebase above latest default up to landed-D8182

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.